Bug 1467367 - Adding Group/Group Filter at same time results in Exit Aborted
Adding Group/Group Filter at same time results in Exit Aborted
Status: CLOSED NEXTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.7.0
Unspecified Unspecified
high Severity medium
: GA
: cfme-future
Assigned To: Jozef Zigmund
Landon LaSmith
rbac:filter
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-03 10:31 EDT by Dustin Scott
Modified: 2017-07-07 14:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-07 14:26:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Description Dustin Scott 2017-07-03 10:31:50 EDT
Description of problem:

Adding a group with a group filter at the same time results in the browser displaying the following error:

Edit aborted! CFME does not support the browser's back button or access from multiple tabs or windows of the same browser. Please close any duplicate sessions before proceeding.


Also from the evm.log:

[----] E, [2017-07-03T09:29:02.225072 #31646:19295b8] ERROR -- : MIQ(ops_controller-rbac_group_field_changed): Edit aborted!  CFME does not support the browser's back button or access from multiple tabs or windows of the same browser.  Please close any duplicate sessions 
before proceeding.



Version-Release number of selected component (if applicable):

5.7.2.1


How reproducible:

100%

Steps to Reproduce:
1. Close all browser windows that are currently open, clear the browser cache, and open a single browser window.
2. Navigate to Configuration > Access Controls > Groups
3. Attempt to create a group while assigning a group filter at the same time

Actual results:

The creation fails with the above error message.


Expected results:

The creation of a group with a filter at the same time succeeds.


Additional info:

The workaround is to first create the group and save the group.  After creation of the group, edit the group and add the appropriate group filter.
Comment 2 Ruslana Babyuk 2017-07-04 03:25:23 EDT
Hi,

This issue was fixed for 5.7.3 and 5.8 versions. Also, I've double checked this case, and for these versions, it doesn't reproduce.

Thanks,
Ruslana
Comment 3 Dustin Scott 2017-07-05 09:43:40 EDT
Thank you for the update!
Comment 4 Dave Johnson 2017-07-07 14:26:31 EDT
Awesome job Ruslana!

Note You need to log in before you can comment on or make changes to this bug.